libetonyek::KEYOutput Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::KEYOutput Class Reference

A context for drawing instances of `KEYObject`. More...

`#include <KEYOutput.h>`

## Public Member Functions
| KEYOutput (librevenge::RVNGPresentationInterface *painter, KEYStyleContext &context)
| Create an initial `KEYOutput`. More...
| KEYOutput (const KEYOutput &output, const KEYTransformation &tr)
| Apply a transformation to the current output. More...
| KEYOutput (const KEYOutput &output, const KEYStylePtr_t &style)
| Apply a style to the current output. More...
| KEYOutput (const KEYOutput &output, const KEYTransformation &tr, const KEYStylePtr_t &style)
| Apply a transformation and a style to the current output. More...
| KEYOutput (const KEYOutput &other)
| Create a `KEYOutput` as a copy of an existing one. More...
| ~KEYOutput ()
| Destroy a `KEYOutput` instance. More...
librevenge::RVNGPresentationInterface * | getPainter () const
| Get the painter. More...
const KEYTransformation & | getTransformation () const
| Get the current transformation. More...
const KEYStyleContext & | getStyleContext () const
| Get the style context. More...

## Private Member Functions
KEYOutput & | operator= (const KEYOutput &other)

## Private Attributes
librevenge::RVNGPresentationInterface *const | m_painter
KEYStyleContext & | m_styleContext
KEYTransformation | m_transformation
bool | m_stylePushed

## Detailed Description

A context for drawing instances of `KEYObject`.

## Constructor & Destructor Documentation

libetonyek::KEYOutput::KEYOutput | ( | librevenge::RVNGPresentationInterface * | painter,
|  | KEYStyleContext & | context
| ) |  |

Create an initial `KEYOutput`.

This should only be used once at the beginning of an output operation.

- [in] painter a painter
- [in] context a style context

libetonyek::KEYOutput::KEYOutput | ( | const KEYOutput & | output,
|  | const KEYTransformation & | tr
| ) |  |

Apply a transformation to the current output.

- [in] output the current output
- [in] tr a transformation

libetonyek::KEYOutput::KEYOutput | ( | const KEYOutput & | output,
|  | const KEYStylePtr_t & | style
| ) |  |

Apply a style to the current output.

The style is pushed to the style context.

- [in] output the current output
- [in] style a style

KEYStyleContext

libetonyek::KEYOutput::KEYOutput | ( | const KEYOutput & | output,
|  | const KEYTransformation & | tr,
|  | const KEYStylePtr_t & | style
| ) |  |

Apply a transformation and a style to the current output.

The style is pushed to the style context.

- [in] output the current output
- [in] tr a transformation
- [in] style a style

KEYStyleContext

libetonyek::KEYOutput::KEYOutput | ( | const KEYOutput & | other | ) |

Create a `KEYOutput` as a copy of an existing one.

- [in] other the copied `KEYOutput` instance

libetonyek::KEYOutput::~KEYOutput | ( |  | ) |

Destroy a `KEYOutput` instance.

If this `KEYOutput` instance pushed a style to the style context, it will be popped.

## Member Function Documentation

librevenge::RVNGPresentationInterface * libetonyek::KEYOutput::getPainter | ( |  | ) | const

Get the painter.

Returns
  the painter

Referenced by libetonyek::KEYTable::draw().

const KEYStyleContext & libetonyek::KEYOutput::getStyleContext | ( |  | ) | const

Get the style context.

Returns
  the style context.

const KEYTransformation & libetonyek::KEYOutput::getTransformation | ( |  | ) | const

Get the current transformation.

Returns
  the currently active transformation

Referenced by libetonyek::KEYTable::draw().

KEYOutput& libetonyek::KEYOutput::operator= | ( | const KEYOutput & | other | ) |
| private

## Member Data Documentation

librevenge::RVNGPresentationInterface* const libetonyek::KEYOutput::m_painter
| private

Referenced by getPainter().

KEYStyleContext& libetonyek::KEYOutput::m_styleContext
| private

Referenced by getStyleContext(), KEYOutput(), and ~KEYOutput().

bool libetonyek::KEYOutput::m_stylePushed
| private

Referenced by KEYOutput(), and ~KEYOutput().

KEYTransformation libetonyek::KEYOutput::m_transformation
| private

Referenced by getTransformation().

The documentation for this class was generated from the following files:

- KEYOutput.h
- KEYOutput.cpp